
Redmine - Defect #19321

MinGW thin and puma: non ASCII wiki page causes "Internal server error"

2015-03-10 11:37 - Eugene B

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 3.0.0

Description

We were using 2.4.1 Bitnami installation for about a year with no problems. After 3.0.0 release we have switched to this new version

to be sure we are using current Redmine branch, and our installation is not so outdated. We are using Bitnami 3.0.0 installer for

windows platforms.

We have found a problem, that if a wiki page contains russian word "Информация" (tranlation: Information) written with capital letter

only! If this word is present in wiki page name (no matter if it is first word in wiki page name or it will be one of the next words) it will

lead to "Internal server error" while trying to access a page.

For example:

"Справочная информация" - this wiki page name opens normal

"Справочная Информация" - this wiki page name will lead to "Internal server error" error message

"информация по учетным записям трекеров контейнерных линий" - this wiki page name opens normal

"Информация по учетным записям трекеров контейнерных линий" - this wiki page name will lead to "Internal server error" error

message

All other wiki pages, tasks, everyting works correct. We have run migration two times:

this way

rake db:migrate RAILS_ENV=production

and this way:

set RAILS_ENV=production

rake db:migrate

migration reports no errors.

Later we noticed, that actually a broken page exists, and we can open it by changing letter "И" from capital to "и" at the browser

address line. We had so far only 5 problem pages, and we renamed them all to use small "и" letter at the wiki page name. This is of

course a workaround, and problem exists.

To confirm error, we have installed clean Redmine 3.0.0 instance from bitname at another PC and tried to make a wiki page there

using "Информация" word, mistake is the same. So I think its not a DB migration error, its most likely error in Redmine itself (or

probably some conflict with software that bitnami intaller uses)

Related issues:

Related to Redmine - Defect #19374: MinGW thin and puma: Internal server erro... Closed

Has duplicate Redmine - Defect #19609: Internal server error, when using Kore... Closed

Has duplicate Redmine - Defect #19978: The problem with Russian letter 'И' in... Closed

History

#1 - 2015-03-10 19:34 - Eugene B

Host PC Win 8.1

c:\Redmine\3.0.0\apps\redmine\htdocs>ruby script/about

script/about no longer exists, please use bin/about instead.

c:\Redmine\3.0.0\apps\redmine\htdocs>ruby bin/about

DL is deprecated, please use Fiddle

Environment:

Redmine version                3.0.0.stable
Ruby version                   2.0.0-p594 (2014-10-27) [i386-mingw32]

Rails version                  4.2.0

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.10

Git                            1.9.5

Filesystem

Redmine plugins:

no plugin installed

c:\Redmine\3.0.0\apps\redmine\htdocs>

The bug is very easy to observe, just >>>get<<< latest 3-0-0 installation from bitnami, install it. Create any test project, and there try to create a Wiki

page with "Информация" word. I have checked log file, but it reports no error...

At the log we see that I am browsing some wiki pages, but after each of them, I try to open wiki page, that leads to "Internal server error" This makes

no recordings to log file:

Click to see log file part...Click to see log file part...

Started GET "/redmine/projects/supplytasks/wiki" for 127.0.0.1 at 2015-03-10 21:37:44 +0300

Processing by WikiController#show as HTML

Parameters: {"project_id"=>"supplytasks"}

Current user: supply (id=9)

Rendered wiki/_content.html.erb (61.1ms)

Rendered attachments/_form.html.erb (2.0ms)

Rendered wiki/_sidebar.html.erb (8.0ms)

Rendered wiki/show.html.erb within layouts/base (79.1ms)

Completed 200 OK in 110ms (Views: 80.1ms | ActiveRecord: 21.0ms)

Started GET

"/redmine/projects/supplytasks/wiki/%D0%9C%D0%B0%D0%BA%D0%B5%D1%82%D1%8B_%D0%BA%D1%80%D0%B0%D1%82%D0%BA%D0

%BE%D0%B3%D0%BE_%D0%B8_%D0%BF%D0%BE%D0%BB%D0%BD%D0%BE%D0%B3%D0%BE_%D0%BD%D0%B0%D0%B7%D0%B2%

D0%B0%D0%BD%D0%B8%D1%8F_%D1%82%D0%BE%D0%B2%D0%B0%D1%80%D0%BD%D1%8B%D1%85_%D0%BF%D0%BE%D0%B7%D

0%B8%D1%86%D0%B8%D0%B9" for 127.0.0.1 at 2015-03-10 21:37:54 +0300

Processing by WikiController#show as HTML

Parameters: {"project_id"=>"supplytasks", "id"=>"Макеты_краткого_и_полного_названия_товарных_позиций"}

Current user: supply (id=9)

Rendered wiki/_content.html.erb (29.0ms)

Rendered attachments/_form.html.erb (2.0ms)

Rendered wiki/_sidebar.html.erb (9.0ms)

Rendered wiki/show.html.erb within layouts/base (50.0ms)

Completed 200 OK in 82ms (Views: 63.1ms | ActiveRecord: 7.0ms)

Started GET

"/redmine/projects/supplytasks/wiki/%D0%B8%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F_%D0%BF%D0

%BE_%D1%83%D1%87%D0%B5%D1%82%D0%BD%D1%8B%D0%BC_%D0%B7%D0%B0%D0%BF%D0%B8%D1%81%D1%8F%D0%BC_%D1

%82%D1%80%D0%B5%D0%BA%D0%B5%D1%80%D0%BE%D0%B2_%D0%BA%D0%BE%D0%BD%D1%82%D0%B5%D0%B9%D0%BD%D0%

B5%D1%80%D0%BD%D1%8B%D1%85_%D0%BB%D0%B8%D0%BD%D0%B8%D0%B9" for 127.0.0.1 at 2015-03-10 21:38:30 +0300

Processing by WikiController#show as HTML

Parameters: {"project_id"=>"supplytasks", "id"=>"информация_по_учетным_записям_трекеров_контейнерных_линий"}

Current user: supply (id=9)

Rendered wiki/_content.html.erb (16.0ms)

Rendered attachments/_form.html.erb (2.0ms)

Rendered wiki/_sidebar.html.erb (8.0ms)

Rendered wiki/show.html.erb within layouts/base (35.0ms)

Completed 200 OK in 66ms (Views: 50.1ms | ActiveRecord: 6.0ms)

Started GET

"/redmine/projects/supplytasks/wiki/%D0%94%D0%BE%D0%BA%D1%83%D0%BC%D0%B5%D0%BD%D1%82%D1%8B_%D0%9E%D1%82%D0

%B4%D0%B5%D0%BB%D0%B0_%D0%97%D0%B0%D0%BA%D1%83%D0%BF%D0%BE%D0%BA" for 127.0.0.1 at 2015-03-10 21:38:32 +0300

Processing by WikiController#show as HTML

Parameters: {"project_id"=>"supplytasks", "id"=>"Документы_Отдела_Закупок"}

Current user: supply (id=9)

Rendered wiki/_content.html.erb (38.0ms)

Rendered attachments/_form.html.erb (1.0ms)

Rendered wiki/_sidebar.html.erb (8.0ms)

Rendered wiki/show.html.erb within layouts/base (55.1ms)

Completed 200 OK in 86ms (Views: 58.1ms | ActiveRecord: 19.0ms)

Click to see installed GEM versions...Click to see installed GEM versions...

c:\Redmine\3.0.0>bundle install --without development test

DL is deprecated, please use Fiddle

Could not locate Gemfile

2025-05-02 2/9

https://bitnami.com/redirect/to/50832/bitnami-redmine-3.0.0-0-windows-installer.exe


c:\Redmine\3.0.0>cd apps/redmine/htdocs

c:\Redmine\3.0.0\apps\redmine\htdocs>bundle install --without development test

DL is deprecated, please use Fiddle

Using rake 10.4.2

Using i18n 0.7.0

Using json 1.8.2

Using minitest 5.5.1

Using thread_safe 0.3.4

Using tzinfo 1.2.2

Using activesupport 4.2.0

Using builder 3.2.2

Using erubis 2.7.0

Using mini_portile 0.6.2

Using nokogiri 1.6.6.2

Using rails-deprecated_sanitizer 1.0.3

Using rails-dom-testing 1.0.5

Using loofah 2.0.1

Using rails-html-sanitizer 1.0.1

Using actionview 4.2.0

Using rack 1.6.0

Using rack-test 0.6.3

Using actionpack 4.2.0

Using globalid 0.3.3

Using activejob 4.2.0

Using mime-types 2.4.3

Using mail 2.6.3

Using actionmailer 4.2.0

Using actionpack-action_caching 1.1.1

Using actionpack-xml_parser 1.0.1

Using activemodel 4.2.0

Using arel 6.0.0

Using activerecord 4.2.0

Using coderay 1.1.0

Using daemons 1.1.9

Using eventmachine 1.0.3

Using hike 1.2.3

Using thor 0.19.1

Using railties 4.2.0

Using jquery-rails 3.1.2

Using multi_json 1.11.0

Using mysql2 0.3.18

Using net-ldap 0.3.1

Using protected_attributes 1.0.8

Using ruby-openid 2.3.0

Using rack-openid 1.4.2

Using bundler 1.7.0

Using tilt 1.4.1

Using sprockets 2.12.3

Using sprockets-rails 2.2.4

Using rails 4.2.0

Using rbpdf 1.18.5

Using redcarpet 3.1.2

Using request_store 1.0.5

Using rmagick 2.13.4

Using thin 1.6.1

Using tzinfo-data 1.2015.1

Updating files in vendor/cache

Your bundle is complete!

Gems in the groups development and test were not installed.

Use `bundle show [gemname]` to see where a bundled gem is installed.

c:\Redmine\3.0.0\apps\redmine\htdocs>

c:\Redmine\3.0.0\apps\redmine\htdocs>..

#2 - 2015-03-11 22:36 - Eugene B

Also discussing problem on Bitnami forum: https://community.bitnami.com/t/2-problems-with-3-0-0-installation-see-reports-inside/30195

They have asked some more details, please also find them here:

Link to my log files: https://cloud.mail.ru/public/7261d0e62c8e/logs.zip (from C:\Redmine\3.0.0\apps\redmine\htdocs\log and
C:\Redmine\3.0.0\apache2\logs)

I have cleaned them before redmine restart, so its not much to see there. I see nothing special there. Probably I need to set more thorough log mode?

If possible, please tell me how to do it.

Also please find link to youtube with video recording for this problem. http://youtu.be/r3TITwOP_Fk

#3 - 2015-03-14 10:22 - Eugene B

If there are some problems to reproduce or confirm bug, I can give teamviewer access to affected PC if its needed. So it will be easier to get required

information. Contact me with e-mail at my profile if interested.

#4 - 2015-03-14 11:14 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

This error (and the error page I can see on your video) comes from your webserver, not Redmine.

I've setup an example on the demo site, and it works fine: http://demo.redmine.org/projects/test19321/wiki/Wiki

#5 - 2015-03-24 15:57 - Eugene B

- Status changed from Closed to Reopened

Sorry for disturbing you again ^^ But Im still here with my problem. Still actual for 3.0.1 too.

Apache team responded with the following:

Try LogLevel trace8 and attaching the errorlog directly to this bug report.  Presumably the encoding of that c

haracter matches some blacklisted octet for the platform httpd is on.

 
It seems that the redmine itself (127.0.0.1:3001) responds with status 500 (Internal Server Error) with path "

/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F", mod_proxy is simply forwarding that error resp

onse.

You probably have to check redmine's logs for the original cause.

 My thread at Apache bugtracker: https://bz.apache.org/bugzilla/show_bug.cgi?id=57726

I have tried to find out the how to solve the problem both at Bitnami Team Forum and at Apache bugtracker (since apache reports error) I have tried

to set debug log level for redmine production, but it makes not recordings for my error.

The bad thing is that this mistake is not critical, I can rename all pages at Wiki so it will not use this word at the browser address line, but this is so

clumsy :( I understand that from your point it Redmine seems to be running OK, as you can not reproduce the bug on your demo site, but I suppose

you host it on some other software, linux based or else, so Its not 1:1 reproduction. (you can directly reproduce if you will get Bitnami intaller for

windows)

I am here again because I doubt anyone else will solve it. Bitnami team almost dont take part at discussion for this error and Apache points to

Redmine (as you point to them :P) If you will close thread again, I give up ) I dont have enough expirience to deal with it.

#6 - 2015-03-24 16:16 - Toshi MARUYAMA

- Related to Defect #19374: MinGW thin and puma: Internal server error occoures when attachment file name contains non ASCII added

#7 - 2015-03-25 20:03 - Eugene B

Another report for similar issue on Bitnami site:

https://community.bitnami.com/t/problem-with-some-links-in-wiki/30537

#8 - 2015-03-25 20:17 - Eugene B

More information, any word (or even just any letters) that contains capital "И" letter leads to problem

"История" (history) "Интервал" (interval) "авеИавы" (just random letters with big "И")

#9 - 2015-03-25 22:06 - Toshi MARUYAMA

- Status changed from Reopened to Closed

I cannot reproduce on my CentOS6.

$ LANG=C rpm -qi httpd

Name        : httpd                        Relocations: (not relocatable)

Version     : 2.2.15                            Vendor: CentOS

Release     : 39.el6.centos                 Build Date: Thu Oct 16 23:49:26 2014
Install Date: Mon Nov  3 10:06:52 2014         Build Host: c6b9.bsys.dev.centos.org

Group       : System Environment/Daemons    Source RPM: httpd-2.2.15-39.el6.centos.src.rpm

Size        : 3085394                          License: ASL 2.0

Signature   : RSA/SHA1, Sat Oct 18 05:02:19 2014, Key ID 0946fca2c105b9de

Packager    : CentOS BuildSystem <http://bugs.centos.org>

URL         : http://httpd.apache.org/

Summary     : Apache HTTP Server

Description :

The Apache HTTP Server is a powerful, efficient, and extensible

web server.

 
$ cat /etc/httpd/conf.d/proxy.conf

Listen 3010

<VirtualHost *:3010>

  ProxyPass / http://localhost:3000/

  ProxyPassReverse / http://localhost:3000/

</VirtualHost>

 /var/log/httpd/access_log:

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0

%D1%86%D0%B8%D1%8F HTTP/1.1" 200 7639 "-" "Mozilla/5.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like

 Gecko) Chrome/41.0.2272.101 Safari/537.36" 

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /stylesheets/application.css HTTP/1.1" 304 - "http://192.168.11.11:3

010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Windo

ws NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /javascripts/jquery-1.11.1-ui-1.11.0-ujs-3.1.1.js HTTP/1.1" 304 - "h

ttp://192.168.11.11:3010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F

" "Mozilla/5.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.

36" 

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /javascripts/application.js HTTP/1.1" 304 - "http://192.168.11.11:30

10/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Window

s NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /javascripts/application.js HTTP/1.1" 304 - "http://192.16

8.11.11:3010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5

.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /javascripts/attachments.js HTTP/1.1" 304 - "http://192.168.11.11:30

10/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Window

s NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /javascripts/jquery-1.11.1-ui-1.11.0-ujs-3.1.1.js HTTP/1.1

" 304 - "http://192.168.11.11:3010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D

0%B8%D1%8F" "Mozilla/5.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 S

afari/537.36" 

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /stylesheets/jquery/jquery-ui-1.11.0.css HTTP/1.1" 304 - "http://192

.168.11.11:3010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozill

a/5.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /javascripts/attachments.js HTTP/1.1" 304 - "http://192.16

8.11.11:3010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5

.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /stylesheets/jquery/jquery-ui-1.11.0.css HTTP/1.1" 304 - "

http://192.168.11.11:3010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8

F" "Mozilla/5.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537

.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D

0%BC%D0%B0%D1%86%D0%B8%D1%8F HTTP/1.1" 200 7639 "-" "Mozilla/5.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (K

HTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /stylesheets/application.css HTTP/1.1" 304 - "http://192.1

68.11.11:3010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/

5.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /images/fav_off.png HTTP/1.1" 304 - "http://192.168.11.11:3010/proje

cts/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Windows NT 6.3

; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /images/locked.png HTTP/1.1" 304 - "http://192.168.11.11:3010/projec

ts/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Windows NT 6.3;

 WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /images/move.png HTTP/1.1" 304 - "http://192.168.11.11:3010/projects

/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Windows NT 6.3; W

OW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /images/delete.png HTTP/1.1" 304 - "http://192.168.11.11:3010/projec

ts/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Windows NT 6.3;

 WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /images/delete.png HTTP/1.1" 304 - "http://192.168.11.11:3

010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Windo
ws NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /images/history.png HTTP/1.1" 304 - "http://192.168.11.11:

3010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Wind

ows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /images/fav_off.png HTTP/1.1" 304 - "http://192.168.11.11:

3010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Wind

ows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /images/locked.png HTTP/1.1" 304 - "http://192.168.11.11:3

010/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Windo

ws NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /images/edit.png HTTP/1.1" 304 - "http://192.168.11.11:3010/projects

/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Windows NT 6.3; W

OW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /images/edit.png HTTP/1.1" 304 - "http://192.168.11.11:301

0/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Windows

 NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

::1 - - [26/Mar/2015:06:03:35 +0900] "GET /images/history.png HTTP/1.1" 304 - "http://192.168.11.11:3010/proje

cts/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Windows NT 6.3

; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

192.168.11.10 - - [26/Mar/2015:06:03:35 +0900] "GET /images/move.png HTTP/1.1" 304 - "http://192.168.11.11:301

0/projects/hg-crew-00/wiki/%D0%98%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D0%B8%D1%8F" "Mozilla/5.0 (Windows

 NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.101 Safari/537.36" 

 log/production.log:

Started GET "/projects/hg-crew-00/wiki/%d0%98%d0%bd%d1%84%d0%be%d1%80%d0%bc%d0%b0%d1%86%d0%b8%d1%8f" for ::1 a

t 2015-03-26 06:03:35 +0900

Processing by WikiController#show as HTML

  Parameters: {"project_id"=>"hg-crew-00", "id"=>"Информация"}

  Current user: admin (id=1)

  Rendered wiki/_content.html.erb (49.9ms)

  Rendered attachments/_form.html.erb (2.2ms)

  Rendered wiki/_sidebar.html.erb (1.4ms)

  Rendered wiki/show.html.erb within layouts/base (60.0ms)

Completed 200 OK in 85ms (Views: 76.3ms | ActiveRecord: 1.8ms)

#10 - 2015-03-26 13:32 - Toshi MARUYAMA

https://www.google.com/search?q=thin%20windows%20rails%204.2

#11 - 2015-03-26 13:54 - Toshi MARUYAMA

- File windows-thin.png added

On my Japanese Windows 8.1 Pro.
windows-thin.png 

#12 - 2015-03-26 13:56 - Toshi MARUYAMA

Unexpected error while processing request: "\x80" on Windows-31J

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_disp

atch/middleware/static.rb:34:in `file?'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_disp

atch/middleware/static.rb:34:in `block in match?'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_disp

atch/middleware/static.rb:31:in `each'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_disp

atch/middleware/static.rb:31:in `detect'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_disp

atch/middleware/static.rb:31:in `match?'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_disp

atch/middleware/static.rb:107:in `call'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/rack-1.6.0/lib/rack/sendfile.rb:

113:in `call'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/railties-4.2.1/lib/rails/engine.

rb:518:in `call'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/railties-4.2.1/lib/rails/applica

tion.rb:164:in `call'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/railties-4.2.1/lib/rails/railtie

.rb:194:in `public_send'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/railties-4.2.1/lib/rails/railtie

.rb:194:in `method_missing'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/thin-1.6.3/lib/thin/connection.r

b:86:in `block in pre_process'
        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/thin-1.6.3/lib/thin/connection.r

b:84:in `catch'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/thin-1.6.3/lib/thin/connection.r

b:84:in `pre_process'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/thin-1.6.3/lib/thin/connection.r

b:53:in `process'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/thin-1.6.3/lib/thin/connection.r

b:39:in `receive_data'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/eventmachine-1.0.7/lib/eventmach

ine.rb:187:in `run_machine'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/eventmachine-1.0.7/lib/eventmach

ine.rb:187:in `run'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/thin-1.6.3/lib/thin/backends/bas

e.rb:73:in `start'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/thin-1.6.3/lib/thin/server.rb:16

2:in `start'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/thin-1.6.3/lib/thin/controllers/

controller.rb:87:in `start'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/thin-1.6.3/lib/thin/runner.rb:20

0:in `run_command'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/thin-1.6.3/lib/thin/runner.rb:15

6:in `run!'

        c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/thin-1.6.3/bin/thin:6:in `<top (

required)>'

        c:/Ruby200-x64/bin/thin:23:in `load'

        c:/Ruby200-x64/bin/thin:23:in `<main>'

#13 - 2015-03-26 13:57 - Toshi MARUYAMA

$ cat Gemfile.local

gem "thin" 

 
$ thin start

Using rack adapter

Thin web server (v1.6.3 codename Protein Powder)

Maximum connections set to 1024

Listening on 0.0.0.0:3000, CTRL+C to stop

#14 - 2015-03-26 14:03 - Toshi MARUYAMA

I have created issue.

https://github.com/macournoyer/thin/issues/268

#15 - 2015-03-26 17:19 - Eugene B

Toshi, thanks!!!

#16 - 2015-03-26 18:32 - Toshi MARUYAMA

I tried puma.

Puma caught this error: "\x80" on Windows-31J (Encoding::InvalidByteSequenceError)

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_dispatch/middleware/static.rb:34:in `file?

'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_dispatch/middleware/static.rb:34:in `block

 in match?'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_dispatch/middleware/static.rb:31:in `each'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_dispatch/middleware/static.rb:31:in `detec

t'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_dispatch/middleware/static.rb:31:in `match

?'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/actionpack-4.2.1/lib/action_dispatch/middleware/static.rb:107:in `call

'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/rack-1.6.0/lib/rack/sendfile.rb:113:in `call'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/railties-4.2.1/lib/rails/engine.rb:518:in `call'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/railties-4.2.1/lib/rails/application.rb:164:in `call'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/railties-4.2.1/lib/rails/railtie.rb:194:in `public_send'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/railties-4.2.1/lib/rails/railtie.rb:194:in `method_missing'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/puma-2.11.1/lib/puma/rack_patch.rb:13:in `call'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/puma-2.11.1/lib/puma/configuration.rb:82:in `call'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/puma-2.11.1/lib/puma/server.rb:507:in `handle_request'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/puma-2.11.1/lib/puma/server.rb:375:in `process_client'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/puma-2.11.1/lib/puma/server.rb:262:in `block in run'

c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/puma-2.11.1/lib/puma/thread_pool.rb:104:in `call'
c:/Ruby200-x64/lib/ruby/gems/2.0.0/gems/puma-2.11.1/lib/puma/thread_pool.rb:104:in `block in spawn_thread'

#17 - 2015-03-26 21:05 - Eugene B

https://github.com/marutosi/rails/commit/c53a49e0bbe615d5ff51620a993c4d3d79c73370

I have updated line 32 at my file \apps\redmine\htdocs\vendor\bundle\ruby\2.0.0\gems\actionpack-4.2.0\lib\action_dispatch\middleware\static.rb

Your fix works! Thank you.

#18 - 2015-04-11 03:48 - Toshi MARUYAMA

Rails 4.2.2 will fix.

https://github.com/rails/rails/commit/4df216cb12e35c09ae5ec271755e581d692d0326#diff-6897a0b59abaaa3bbc85da93757c39d9L32

#19 - 2015-04-11 03:50 - Toshi MARUYAMA

- Subject changed from Wiki page with specific word at page name causes "Internal server error" to MinGW thin and puma: non ASCII wiki page cause

"Internal server error"

#20 - 2015-04-11 04:03 - Toshi MARUYAMA

- Subject changed from MinGW thin and puma: non ASCII wiki page cause "Internal server error" to MinGW thin and puma: non ASCII wiki page

causes "Internal server error"

#21 - 2015-04-13 18:22 - Toshi MARUYAMA

- Has duplicate Defect #19609: Internal server error, when using Korea character (maybe 2byte character) in Wiki added

#22 - 2015-05-26 12:06 - Toshi MARUYAMA

- Has duplicate Defect #19600: can't open attcment files that have hebrow file names added

#23 - 2015-05-26 16:22 - Toshi MARUYAMA

- Has duplicate deleted (Defect #19600: can't open attcment files that have hebrow file names)

#24 - 2015-06-26 15:48 - Toshi MARUYAMA

Rails 4.2.3 fixed.

$ git tag --contains 4df216cb12e35

v4.2.3

v4.2.3.rc1

#25 - 2015-08-08 12:20 - Toshi MARUYAMA

- Has duplicate Defect #19978: The problem with Russian letter 'И' in the Wiki added

#26 - 2015-10-28 17:44 - Toshi MARUYAMA

- Resolution changed from Invalid to Wont fix

Files

windows-thin.png 76.3 KB 2015-03-26 Toshi MARUYAMA
